Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LEDAndSoundSymbols Class Reference

The Xabsl2 symbols that are defined in "led-and-sound-symbols.xml". More...

`#include <LEDAndSoundSymbols.h>`

Inheritance diagram for LEDAndSoundSymbols:

[legend]
Collaboration diagram for LEDAndSoundSymbols:

[legend]
List of all members.

## Public Member Functions
| LEDAndSoundSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine

## Detailed Description

The Xabsl2 symbols that are defined in "led-and-sound-symbols.xml".

Author:
  Uwe Düffert

  Martin Lötzsch

Definition at line 22 of file LEDAndSoundSymbols.h.

## Constructor & Destructor Documentation

LEDAndSoundSymbols::LEDAndSoundSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 13 of file LEDAndSoundSymbols.cpp.

## Member Function Documentation

void LEDAndSoundSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 19 of file LEDAndSoundSymbols.cpp. References LEDRequest::backFrontBlueLED, LEDRequest::backFrontWhiteLED, LEDRequest::backMiddleOrangeLED, LEDRequest::backMiddleWhiteLED, LEDRequest::backRearRedLED, LEDRequest::backRearWhiteLED, LEDRequest::faceLED, getXmlString(), LEDRequest::headOrangeLED, LEDRequest::headWhiteLED, LEDRequest::redBottomLEDs, LEDRequest::redTopLEDs, Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), SoundRequest::soundID, and LEDRequest::tailMode. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/LEDAndSoundSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/LEDAndSoundSymbols.cpp